using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace FlvComposer
{
    public partial class SetFrameSizeForm : Form
    {
        private int m_time = 0;

        public SetFrameSizeForm()
        {
            InitializeComponent();
        }

        public int Time
        {
            get 
            { 
                return m_time;  
            }
            set 
            { 
                m_time = value;  
            }
        }

        private void SetFrameSizeForm_Load(object sender, EventArgs e)
        {
            ui_txtTime.Text = Convert.ToString(m_time);
        }

        private void SetFrameSizeForm_FormClosed(object sender, FormClosedEventArgs e)
        {
            try
            {
                m_time = Convert.ToInt32(ui_txtTime.Text);
            }
            catch (Exception)
            {
                MessageBox.Show("Wrong value of time!","Flash Video Composer",MessageBoxButtons.OK,MessageBoxIcon.Error);
                DialogResult = DialogResult.Abort;
            }
        }

    }
}